local entity = import 'entity.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/relationship',
  title: 'Relationship',
  description: |||
    Describes a relationship between entities. An arity of 1 is used to describe a property of an entity (a relationship of the entity to itself).

    The first argument of a relationship is used as the primary key and should be the main entity of the relationship.
  |||,

  properties+: {
    arity: {
      type: 'number',
      description: 'The number of entities involved in the relationship.',
      minimum: 1,
    },
  },
  required+: [
    'description',
  ],
}
